--- old/usr/src/tools/scripts/webrev.sh	Thu Dec 12 19:17:00 2013
+++ new/usr/src/tools/scripts/webrev.sh	Thu Dec 12 19:17:00 2013
@@ -26,6 +26,7 @@
 
 # Copyright 2008, 2010, Richard Lowe
 # Copyright 2012 Marcel Telka <marcel@telka.sk>
+# Copyright 2013 Ivan Richwalski <ivan@seppuku.net>
 
 #
 # This script takes a file list and a workspace and builds a set of html files
@@ -3480,6 +3481,8 @@
 # ui.username is available, use that, but be careful to properly escape
 # angle brackets (HTML syntax characters) in the email address.
 #
+# For git, use the user.name and user.email properties if they are set.
+#
 # Otherwise, use the current userid in the form "John Doe (jdoe)", but
 # to maintain compatibility with passwd(4), we must support '&' substitutions.
 #
@@ -3486,10 +3489,16 @@
 preparer=
 if [[ "$SCM_MODE" == mercurial ]]; then
 	preparer=`hg showconfig ui.username 2>/dev/null`
-	if [[ -n "$preparer" ]]; then
-		preparer="$(echo "$preparer" | html_quote)"
+elif [[ "$SCM_MODE" == git ]]; then
+	preparer=$( git config user.name 2>/dev/null )
+	prepmail=$( git config user.email 2>/dev/null )
+	if [[ -n "$prepmail" ]]; then
+		preparer="$preparer <$prepmail>"
 	fi
 fi
+if [[ -n "$preparer" ]]; then
+	preparer="$(echo "$preparer" | html_quote)"
+fi
 if [[ -z "$preparer" ]]; then
 	preparer=$(
 	    $PERL -e '
